Skip to main content
POST
/
integrations
/
container-registry
/
organization
/
{organizationId}
/
bulk-apply
Bulk-apply a container-registry credential to projects
curl --request POST \
  --url https://api-eu.cybedefend.com/integrations/container-registry/organization/{organizationId}/bulk-apply \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectIds": [
    "097bbbf4-d1eb-4512-9950-684445279808"
  ],
  "name": "<string>",
  "description": "<string>",
  "gcpProjectId": "<string>",
  "registryHostname": "<string>",
  "serviceAccountKey": "<string>",
  "acrLoginServer": "<string>",
  "servicePrincipalId": "<string>",
  "servicePrincipalPassword": "<string>",
  "dockerhubUsername": "<string>",
  "gitlabProjectId": 123,
  "deployToken": "<string>",
  "registryUrl": "<string>",
  "projectPath": "<string>",
  "scopes": [
    "<string>"
  ],
  "expiresAt": "<string>",
  "quayNamespace": "<string>",
  "robotUsername": "<string>",
  "robotToken": "<string>",
  "quayHost": "<string>",
  "harborUrl": "<string>",
  "harborProject": "<string>",
  "jfrogUrl": "<string>",
  "repositoryKey": "<string>",
  "username": "<string>",
  "password": "<string>",
  "accessToken": "<string>",
  "region": "<string>",
  "namespaceName": "<string>",
  "secretKey": "<string>",
  "credentialType": "static_keys",
  "awsRegion": "<string>",
  "awsAccountId": "<string>",
  "awsAccessKeyId": "<string>",
  "awsSecretAccessKey": "<string>",
  "roleArn": "<string>",
  "externalId": "<string>"
}
'

Path Parameters

organizationId
string<uuid>
required

Body

application/json
registryType
enum<string>
required

Registry type to create the credential for

Available options:
gcr,
acr,
dockerhub,
gitlab,
quay,
harbor,
jfrog,
scaleway,
ecr
projectIds
string[]
required

Project ids to link the new credential to

Example:
["097bbbf4-d1eb-4512-9950-684445279808"]
name
string
required

Display name for the credential

description
string

Description for this credential

gcpProjectId
string

GCP project ID (gcr only)

registryHostname
string

GCR registry hostname (gcr only)

serviceAccountKey
string

GCP service account JSON key (gcr only)

acrLoginServer
string

ACR login server (acr only)

servicePrincipalId
string

ACR service principal app id / admin username (acr only)

servicePrincipalPassword
string

ACR service principal password / admin password (acr only)

dockerhubUsername
string

DockerHub username (dockerhub only)

gitlabProjectId
number

GitLab numeric project id (gitlab only)

deployToken
string

GitLab deploy token (gitlab only)

registryUrl
string

GitLab registry URL (gitlab only)

projectPath
string

GitLab project path (gitlab only)

scopes
string[]

GitLab deploy-token scopes (gitlab only)

expiresAt
string

GitLab deploy-token expiry (gitlab only)

quayNamespace
string

Quay namespace (quay only)

robotUsername
string

Quay robot account username (quay only)

robotToken
string

Quay robot account token (quay only)

quayHost
string

Quay host (quay only, defaults quay.io)

harborUrl
string

Harbor server URL (harbor only)

harborProject
string

Harbor project name (harbor only)

jfrogUrl
string

JFrog Artifactory URL (jfrog only)

repositoryKey
string

JFrog docker repository key (jfrog only)

username
string

Registry username — required for gitlab/harbor/jfrog (robot account or user)

password
string

Registry password/token — required for harbor/jfrog (robot token or password)

accessToken
string

Access token — required for dockerhub (PAT)

region
string

Scaleway region (scaleway only)

namespaceName
string

Scaleway namespace name (scaleway only)

secretKey
string

Scaleway API secret key (scaleway only)

credentialType
enum<string>
default:static_keys

ECR authentication mode (ecr only)

Available options:
static_keys,
iam_role
awsRegion
string

AWS region (ecr only)

awsAccountId
string

AWS account id — required for ecr static_keys

awsAccessKeyId
string

AWS access key id — required for ecr static_keys

awsSecretAccessKey
string

AWS secret access key — required for ecr static_keys

roleArn
string

IAM role ARN to assume — required for ecr iam_role

externalId
string

External ID for the role trust policy (ecr iam_role)

Response

Credential stored and linked; partial-success report returned